14

I am connected through VNC to a CentOS 6.4 machine at my workplace. Every five minutes a box pops up that says:

Authentication is required to set the network proxy used for downloading packages

An application is attempting to perform an action that requires privleges. Authentication as the super user is required to perform this action

Password for root:

Details

Role unknown

Action: org.freedesktop.packagekit.system-network-proxy-configure

Vendor: The PackageKit Project

[Cancel] [Authenticate]

I don't have the root password, so usually I just click it an make it go away but it tends to come back a few minutes later. My local sysadmin has tried to deal with the problem a few times and given up and told me just to keep closing the popup box. That said, its driving me nuts. Is there some way I can make it so I don't have to see the popup, even if the problem isn't itself fixed? Less preferably, is there some very easy thing I can tell the sysadmin to do to actually fix the problem?

16

I hope you're not one of my users haha! I manage a cluster and this particular warning has been bugging me for a while. I've been trying to figure out a way to fix this programatically on the command line with little success. This error comes from something bundled in gnome-packagekit.

I have come across three solutions to this problem

  1. disable /yum/pluginconf.d
    [main] enabled=0 This has not worked for me.

  2. Today I found a different answer on the redhat solutions page and I believe that this one works! just add X-GNOME-Autostart-enabled=false to the end of the /etc/xdg/autostart/gpk-update-icon.desktop file. I restarted vnc after this and have the popup has not returned.

Unfortunately both solutions so far have required root on the box. I do not believe that the following procedure requires root. But I never tried it since it's done via the GUI:

  1. Launch a Terminal Console and type gnome-session-properties and then uncheck the PackageKit Update Applet.

gnome something screenshot

sources :

5
  • 1
    Using gnome-session-properties didn't require me to enter a password. So the GUI option #3 worked for me, a lowly, non-admin type! – Gillfish Aug 10 '16 at 22:04
  • 2
    /etc/xdg/autostart/gpk-update-icon.desktop does not exist - in Centos 7 and rhel 7, the file is /etc/xdg/autostart/gnome-software-service.desktop but I also get a color managed device auth pop up... :/ – Ray Foss Sep 27 '16 at 17:57
  • 1
    bugzilla.redhat.com/show_bug.cgi?id=1149893#c13 fixeds the color managed subsequent pop up on rhel 7 for me. – Ray Foss Sep 27 '16 at 18:03
  • I love you echdee. – John Red Feb 24 '17 at 7:09
  • I think the disable should be /etc/yum/pluginconf.d/refresh-packagekit.conf but I'm still testing that. – kkron Oct 20 '17 at 17:40
5

In Centos 7, to remove "Authentication is required to set the network proxy used for downloading packages" dialog when you log in - you have to disable autostart of gnome-software-service

sed -e '$aX-GNOME-Autostart-enabled=false' -e '/X-GNOME-Autostart-enabled/d' -i.bak /etc/xdg/autostart/gnome-software-service.desktop
1
  • 2
    Or for those of us who want to edit the file manually simply add X-GNOME-Autostart-enabled=false to the end of /etc/xdg/autostart/gnome-software-service.desktop and restart vncserver – isapir Oct 23 '16 at 6:54
3

For RHEL6/OEL6 - VNC environments which launch Gnome and see this message ...

Invoking the gnome-session-properties app to disable the packagekit update panel results in the modification of the file:

~/.config/autostart/gpk-update-icon.desktop

aka:

$HOME/.config/autostart/gpk-update-icon.desktop

As mentioned in earlier posts, it sets:

X-GNOME-Autostart-enabled=false

This file is apparently UTF-8 Unicode text.

Then kill the running copy with killall -i -u $(whoami) gpk-update-icon

0

For RHEL7/OEL7 when you login through and see this message: "Authentication is required to set the network proxy used for downloading software" and stuck in this password input and cannot login.

To resolve this issue: Open file /etc/xdg/autostart/abrt-applet.desktop

then Find line : X-GNOME-Autostart-enabled=true and change to : X-GNOME-Autostart-enabled=false

Restart vnc service and relogin.

0

For those travelling here for an answer that don't use remote desktoping, I thought I would share my solution.

Purging xRDP solved my issue on ubuntu. I was seeing this popup all the time. This was an easy solution for me as remote desktoping isn't a feature I need or use. Also, if I do need it down the road I figure I can get something else.

Code Remove (but leave config files):

sudo apt-get remove xrdp

Code to 100% remove:

sudo apt-get purge xrdp

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.